
import java.awt.Color;

import com.threed.jpct.*;

public class CartoonNetwork {

	public static void main(String[] args) {
		World w = new World();
		FrameBuffer fb = new FrameBuffer(800, 600, FrameBuffer.SAMPLINGMODE_GL_AA_2X);
		fb.disableRenderer(IRenderer.RENDERER_SOFTWARE);
		fb.enableRenderer(IRenderer.RENDERER_OPENGL);
		Object3D[] obj= Loader.load3DS("Shadow.3DS", 1);
		
		
 		    Object3D Toy=new Object3D(0);
 		      
 		     
 		      for (int i=0; i<obj.length; i++) {
 		         Object3D part=obj[i];

 		         part.setCenter(SimpleVector.ORIGIN);
 		         part.rotateX((float)-Math.PI);
 		         part.rotateMesh();
 		         part.setRotationMatrix(new Matrix());
 		       
 		        Toy=Object3D.mergeObjects(Toy, part);
 		      }
 		         
 		         
 		Toy.translate(0, 50, 0);
		Object3D ToyBorder = Toy.cloneObject();
		ToyBorder.scale(1.06f);

		
		Toy.build();
		ToyBorder.build();
		ToyBorder.translate(0, 0, 5);
		TextureManager tm = TextureManager.getInstance();
		Texture vt = new Texture("blue067.jpg");
		Texture vte = new Texture("blue_point.gif");
		Texture vte2 = new Texture("black.gif");
		tm.addTexture("uv", vt);
		tm.addTexture("env", vte);
		tm.addTexture("black",vte2);
		
		TextureInfo ti=new TextureInfo(tm.getTextureID("env"));
		ti.add(tm.getTextureID("uv"), TextureInfo.MODE_ADD);
		Toy.calcTextureWrapSpherical();
		Toy.setTexture(ti);
		
		
		w.getCamera().moveCamera(Camera.CAMERA_MOVEOUT, 200);
		w.setAmbientLight(250, 250, 250);
		w.addObject(Toy);
		w.addObject(ToyBorder);
		
		
		tm.addTexture("default", tm.getDummyTexture()); 
		
		ToyBorder.setAdditionalColor(Color.BLUE);
		ToyBorder.setTexture("black");
		
		Toy.setEnvmapped(Object3D.ENVMAP_ENABLED);
		
		while(!org.lwjgl.opengl.Display.isCloseRequested()) {
			
			fb.clear(Color.PINK);
			w.renderScene(fb);
			w.draw(fb);
			fb.update();
			fb.displayGLOnly();
			
			Toy.rotateY(-0.02f);
			ToyBorder.rotateY(-0.02f);

			
			try {
				Thread.sleep(10);
			} catch(Exception e) {}
			
		}
		fb.dispose();
		
	}

}
